VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ServiceInfo Class Reference

The `ServiceInfo` class contains the metamodel information of all the operation elements, structure elements and enumeration elements containted in a service element. More...

List of all members.

## Public Member Functions
| ServiceInfo ()
| Creates a default new instance.
string | GetName ()
| Dot separated name of the service element.
void | SetName (string name)
| Dot separated name of the service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.OperationInfo > | GetOperations ()
| Metamodel information of all the operation elements contained in the service element.
void | SetOperations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.OperationInfo > operations)
| Metamodel information of all the operation elements contained in the service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.StructureInfo > | GetStructures ()
| Metamodel information of all the structure elements contained in the service element.
void | SetStructures (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.StructureInfo > structures)
| Metamodel information of all the structure elements contained in the service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.EnumerationInfo > | GetEnumerations ()
| Metamodel information of all the enumeration elements contained in the service element.
void | SetEnumerations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > enumerations)
| Metamodel information of all the enumeration elements contained in the service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ConstantInfo > | GetConstants ()
| Metamodel information of all the constant elements contained in the service element.
void | SetConstants (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ConstantInfo > constants)
| Metamodel information of all the constant elements contained in the service element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the service element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the service element.
string | GetDocumentation ()
| English language documentation for the service element.
void | SetDocumentation (string documentation)
| English language documentation for the service element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ServiceInfo` class contains the metamodel information of all the operation elements, structure elements and enumeration elements containted in a service element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ServiceInfo::ServiceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ServiceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ServiceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ServiceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ServiceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ServiceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ServiceInfo::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ConstantInfo> vmware::vapi::metadata::metamodel::ServiceInfo::GetConstants | ( |  | ) | `[inline]`

Metamodel information of all the constant elements contained in the service element.

The key in the map is the name of the constant element and the value in the map is the metamodel information for the contant element.

string vmware::vapi::metadata::metamodel::ServiceInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags. The first sentence of the service documentation is a complete sentence that identifies the service by name and summarizes the purpose of the service. The remaining part of the documentation provides a summary of how to use the operations defined in the service.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.EnumerationInfo> vmware::vapi::metadata::metamodel::ServiceInfo::GetEnumerations | ( |  | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the service element.

The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

override int vmware::vapi::metadata::metamodel::ServiceInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::ServiceInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the service element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

string vmware::vapi::metadata::metamodel::ServiceInfo::GetName | ( |  | ) | `[inline]`

Dot separated name of the service element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.OperationInfo> vmware::vapi::metadata::metamodel::ServiceInfo::GetOperations | ( |  | ) | `[inline]`

Metamodel information of all the operation elements contained in the service element.

The key in the map is the identifier of the operation element and the value in the map is the metamodel information for the operation element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.StructureInfo> vmware::vapi::metadata::metamodel::ServiceInfo::GetStructures | ( |  | ) | `[inline]`

Metamodel information of all the structure elements contained in the service element.

The key in the map is the identifier of the structure element and the value in the map is the metamodel information for the structure element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::ServiceInfo::SetConstants | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ConstantInfo > | constants | ) | `[inline]`

Metamodel information of all the constant elements contained in the service element.

The key in the map is the name of the constant element and the value in the map is the metamodel information for the contant element.

void vmware::vapi::metadata::metamodel::ServiceInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags. The first sentence of the service documentation is a complete sentence that identifies the service by name and summarizes the purpose of the service. The remaining part of the documentation provides a summary of how to use the operations defined in the service.

void vmware::vapi::metadata::metamodel::ServiceInfo::SetEnumerations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.EnumerationInfo > | enumerations | ) | `[inline]`

Metamodel information of all the enumeration elements contained in the service element.

The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.enumeration` .

void vmware::vapi::metadata::metamodel::ServiceInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the service element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for keys in the map.

void vmware::vapi::metadata::metamodel::ServiceInfo::SetName | ( | string | name | ) | `[inline]`

Dot separated name of the service element.

The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::ServiceInfo::SetOperations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.OperationInfo > | operations | ) | `[inline]`

Metamodel information of all the operation elements contained in the service element.

The key in the map is the identifier of the operation element and the value in the map is the metamodel information for the operation element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

void vmware::vapi::metadata::metamodel::ServiceInfo::SetStructures | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.StructureInfo > | structures | ) | `[inline]`

Metamodel information of all the structure elements contained in the service element.

The key in the map is the identifier of the structure element and the value in the map is the metamodel information for the structure element. When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.structure` .

override string vmware::vapi::metadata::metamodel::ServiceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- metamodel/ServiceInfo.cs